[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TCustomForm.SetScaled

Sets the value for the Scaled property.

## Declaration

Source position: forms.pp line 673

`protected procedure TCustomForm.SetScaled(`
`const AScaled: Boolean`
`); override;`

## Arguments

`AScaled` |  | New value for the property.

## Description

SetScaled is an overridden method in TCustomForm used to set the value for the Scaled property. It calls the inherited method on entry. At run-time, the AutoScale method is called when the new property value is set to True and differs from the existing property value.

## See also

TCustomForm.AutoScale |  | Sets scaled to True and calls AutoAdjustLayout with the current PPI for the monitor.
TCustomDesignControl.Scaled |  | Indicates if the design surface is scaled to reflect changes in display density (Pixels Per Inch).
TCustomDesignControl.SetScaled |  | Sets the value for the Scaled property.
TApplication.Scaled |  | Indicates if forms and controls in the application can be scaled to different display densities (Pixels per Inch).